<?php


return  
    [
        'model' => [
            'model' => \Litecms\Marketing\Models\Campaign::class,
            'table' => 'litecms_marketing_campaigns',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['restaurant_id',  'rule_slug',  'category_id',  'menu_id',  'offer_type',  'offer_value',  'limit_amount',  'expires_in',  'past_days',  'send_mail',  'send_text',  'offer_text',  'start_date',  'end_date',  'image',  'status',  'user_id',  'user_type',  'converted',  'PRIMARY'],
            'translatables' => [],
            'upload_folder' => 'marketing/campaign',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "restaurant_id", 
                "type" => "text", 
                "label" => 'marketing::campaign.label.restaurant_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "rule_slug", 
                "type" => "text", 
                "label" => 'marketing::campaign.label.rule_slug', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "category_id", 
                "type" => "text", 
                "label" => 'marketing::campaign.label.category_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "menu_id", 
                "type" => "text", 
                "label" => 'marketing::campaign.label.menu_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "offer_type", 
                "type" => "text", 
                "label" => 'marketing::campaign.label.offer_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "offer_value", 
                "type" => "text", 
                "label" => 'marketing::campaign.label.offer_value', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "limit_amount", 
                "type" => "text", 
                "label" => 'marketing::campaign.label.limit_amount', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "expires_in", 
                "type" => "text", 
                "label" => 'marketing::campaign.label.expires_in', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "past_days", 
                "type" => "text", 
                "label" => 'marketing::campaign.label.past_days', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "send_mail", 
                "type" => "text", 
                "label" => 'marketing::campaign.label.send_mail', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "send_text", 
                "type" => "text", 
                "label" => 'marketing::campaign.label.send_text', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "offer_text", 
                "type" => "text", 
                "label" => 'marketing::campaign.label.offer_text', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "start_date", 
                "type" => "text", 
                "label" => 'marketing::campaign.label.start_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "end_date", 
                "type" => "text", 
                "label" => 'marketing::campaign.label.end_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "image", 
                "type" => "text", 
                "label" => 'marketing::campaign.label.image', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "converted", 
                "type" => "text", 
                "label" => 'marketing::campaign.label.converted', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "PRIMARY", 
                "type" => "text", 
                "label" => 'marketing::campaign.label.PRIMARY', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'restaurant_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'marketing::campaign.label.restaurant_id',
                "placeholder" => 'marketing::campaign.placeholder.restaurant_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'rule_slug',
                "element" => 'text',
                "type" => 'text',
                "label" => 'marketing::campaign.label.rule_slug',
                "placeholder" => 'marketing::campaign.placeholder.rule_slug',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'category_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'marketing::campaign.label.category_id',
                "placeholder" => 'marketing::campaign.placeholder.category_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'menu_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'marketing::campaign.label.menu_id',
                "placeholder" => 'marketing::campaign.placeholder.menu_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'offer_type',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'marketing::campaign.label.offer_type',
                "placeholder" => 'marketing::campaign.placeholder.offer_type',
                "rules" => '',
                "options" => function(){
                    return trans('marketing::campaign.options.offer_type');
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'offer_value',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'marketing::campaign.label.offer_value',
                "placeholder" => 'marketing::campaign.placeholder.offer_value',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'limit_amount',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'marketing::campaign.label.limit_amount',
                "placeholder" => 'marketing::campaign.placeholder.limit_amount',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'expires_in',
                "element" => 'text',
                "type" => 'text',
                "label" => 'marketing::campaign.label.expires_in',
                "placeholder" => 'marketing::campaign.placeholder.expires_in',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'past_days',
                "element" => 'text',
                "type" => 'text',
                "label" => 'marketing::campaign.label.past_days',
                "placeholder" => 'marketing::campaign.placeholder.past_days',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'send_mail',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'marketing::campaign.label.send_mail',
                "placeholder" => 'marketing::campaign.placeholder.send_mail',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'send_text',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'marketing::campaign.label.send_text',
                "placeholder" => 'marketing::campaign.placeholder.send_text',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'offer_text',
                "element" => 'text',
                "type" => 'text',
                "label" => 'marketing::campaign.label.offer_text',
                "placeholder" => 'marketing::campaign.placeholder.offer_text',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'start_date',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'marketing::campaign.label.start_date',
                "placeholder" => 'marketing::campaign.placeholder.start_date',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'end_date',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'marketing::campaign.label.end_date',
                "placeholder" => 'marketing::campaign.placeholder.end_date',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'image',
                "element" => 'text',
                "type" => 'text',
                "label" => 'marketing::campaign.label.image',
                "placeholder" => 'marketing::campaign.placeholder.image',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'converted',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'marketing::campaign.label.converted',
                "placeholder" => 'marketing::campaign.placeholder.converted',
                "rules" => '',
                "options" => function(){
                    return trans('marketing::campaign.options.converted');
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'PRIMARY',
                "element" => 'package::package.formcontrols.KEY',
                "type" => 'package::package.formcontrols.KEY',
                "label" => 'marketing::campaign.label.PRIMARY',
                "placeholder" => 'marketing::campaign.placeholder.PRIMARY',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'marketing/campaign/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'marketing/campaign/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'marketing/campaign',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'marketing/campaign',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'marketing/campaign',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'marketing/campaign',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'marketing::campaign.label.created_at',
            'name' => 'marketing::campaign.label.name',
            'status' => 'marketing::campaign.label.status',
        ],
        'groups' => [
            'main' => [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "marketing::campaign.groups.main",
                'key' => "main",
                'title' => "marketing::campaign.groups.main",
            ],
            'details' => [
                'icon' => "fe:home",
                'name' => "marketing::campaign.groups.details",
                'key' => "documents",
                'title' => "marketing::campaign.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "marketing::campaign.groups.images",
                'key' => "documents",
                'title' => "marketing::campaign.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "marketing::campaign.groups.settings",
                'key' => "documents",
                'title' => "marketing::campaign.groups.settings",
            ]
        ],
        'controller' => [
            'provider' => 'Litecms',
            'package' => 'Marketing',
            'module' => 'Campaign',
        ],

        
        
    ];
