<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateLitecmsMarketingCampaignsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: litecms_marketing_campaigns
         */
        Schema::create('litecms_marketing_campaigns', function ($table) {
            $table->increments('id');
            $table->integer('restaurant_id')->nullable();
            $table->string('rule_slug', 200)->nullable();
            $table->integer('category_id')->nullable();
            $table->integer('menu_id')->nullable();
            $table->enum('offer_type', ['Yes', 'No'])->nullable();
            $table->decimal('offer_value', 10,2)->nullable();
            $table->decimal('limit_amount', 10,2)->nullable();
            $table->string('expires_in', 10)->nullable();
            $table->string('past_days', 10)->nullable();
            $table->tinyInteger('send_mail')->nullable();
            $table->tinyInteger('send_text')->nullable();
            $table->text('offer_text')->nullable();
            $table->dateTime('start_date')->nullable();
            $table->dateTime('end_date')->nullable();
            $table->text('image')->nullable();
            $table->enum('status', ['Yes', 'No'])->nullable();
            $table->integer('user_id')->nullable();
            $table->text('user_type')->nullable();
            $table->enum('converted', ['Yes', 'No'])->nullable();
            $table->package::package.fieldtype.KEY('PRIMARY')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('litecms_marketing_campaigns');
    }
}
