<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for campaign in marketing package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  campaign module in marketing package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Campaign',
    'names' => 'Campaigns',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Campaigns',
        'sub' => 'Campaigns'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'offer_type' => 
            [
                                
                [
                    'key'    => 'Price',
                    'value'  => 'Price',
                    'text'   => 'Price',
                ],
                                
                [
                    'key'    => 'Percentage',
                    'value'  => 'Percentage',
                    'text'   => 'Percentage',
                ],
                                
            ],

        'status' => 
            [
                                
                [
                    'key'    => 'Active',
                    'value'  => 'Active',
                    'text'   => 'Active',
                ],
                                
                [
                    'key'    => 'InActive',
                    'value'  => 'InActive',
                    'text'   => 'InActive',
                ],
                                
            ],

        'converted' => 
            [
                                
                [
                    'key'    => 'No',
                    'value'  => 'No',
                    'text'   => 'No',
                ],
                                
                [
                    'key'    => 'Yes',
                    'value'  => 'Yes',
                    'text'   => 'Yes',
                ],
                                
            ],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'restaurant_id'              => 'Please enter restaurant id',
        'rule_slug'                  => 'Please enter rule slug',
        'category_id'                => 'Please enter category id',
        'menu_id'                    => 'Please enter menu id',
        'offer_type'                 => 'Please select offer type',
        'offer_value'                => 'Please enter offer value',
        'limit_amount'               => 'Please enter limit amount',
        'expires_in'                 => 'Please enter expires in',
        'past_days'                  => 'Please enter past days',
        'send_mail'                  => 'Please enter send mail',
        'send_text'                  => 'Please enter send text',
        'offer_text'                 => 'Please enter offer text',
        'start_date'                 => 'Please select start date',
        'end_date'                   => 'Please select end date',
        'image'                      => 'Please enter image',
        'status'                     => 'Please select status',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
        'converted'                  => 'Please select converted',
        'PRIMARY'                    => 'Please select PRIMARY',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'restaurant_id'              => 'Restaurant id',
        'rule_slug'                  => 'Rule slug',
        'category_id'                => 'Category id',
        'menu_id'                    => 'Menu id',
        'offer_type'                 => 'Offer type',
        'offer_value'                => 'Offer value',
        'limit_amount'               => 'Limit amount',
        'expires_in'                 => 'Expires in',
        'past_days'                  => 'Past days',
        'send_mail'                  => 'Send mail',
        'send_text'                  => 'Send text',
        'offer_text'                 => 'Offer text',
        'start_date'                 => 'Start date',
        'end_date'                   => 'End date',
        'image'                      => 'Image',
        'status'                     => 'Status',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
        'converted'                  => 'Converted',
        'PRIMARY'                    => 'PRIMARY',
    ],

    
    ];
